/* Blinker
   Copyright 2011 Stefan Schuermans <stefan@blinkenarea.org>
   Copyleft GNU public license - http://www.gnu.org/copyleft/gpl.html
   a blinkenarea.org project */

#ifndef STREAMRECV_H
#define STREAMRECV_H

#include <BlinkenLib/BlinkenFrame.h>

namespace Blinker {

/// video stream receiver interface
class StreamRecv
{
public:
  /// constructor
  StreamRecv();

  /// virtual destructor
  virtual ~StreamRecv();

public:
  /**
   * @brief set current frame
   * @param[in] pFrame current frame
   */
  virtual void setFrame(stBlinkenFrame *pFrame) = 0;

  /// set current frame to none
  virtual void setNoFrame() = 0;
}; // class StreamRecv

} // namespace Blinker

#endif // #ifndef STREAMRECV_H

