#include <iostream>
#include <string>

#include "CallMgr.h"
#include "Directory.h"
#include "ModuleMgr.h"
#include "Player.h"
#include "Printer.h"
#include "StreamMgr.h"
#include "Udp4Sender.h"

using namespace Blinker;

void run(const std::string &dirConfig)
{
  Directory dirCfg(dirConfig);

  CallMgr callMgr;
  StreamMgr streamMgr;

  ModuleMgr<Player> playerMgr(callMgr, streamMgr,
                              dirCfg.getSubdir("players"));
  ModuleMgr<Printer> printerMgr(callMgr, streamMgr,
                                dirCfg.getSubdir("printers"));
  ModuleMgr<Udp4Sender> udp4Mgr(callMgr, streamMgr,
                                dirCfg.getSubdir("udp4senders"));

  callMgr.run();
}

int main(int argc, const char *argv[])
{
  const char * dirConfig;

  if (argc < 2) {
    std::cerr << "usage: " << argv[0] << " config-directory" << std::endl;
    return 2;
  }
  dirConfig = argv[1];

  run(dirConfig);

  return 0;
}

